Subject: Re: [Rift] Fw:New Version Notification for draft-zwx-rift-leaf-ring-00.txt

From: Tony Przygienda <[email-masked]>
Date: Mon, 26 Jul 2021 21:35:18 +0200

Read that with interest. RIFT is obviously quite applicable for the ring
leaf stuff ;-) and I saw the use case before.

Simplest solution IMO (assuming you're running RIFT on the ring as your
draft does) is to let the hierarchy figure out the CLOS variant here. ToFs
start @ 24 per spec so there is plenty space if that's not enough it's easy
to implement RIFT in a way where ToF start @ a higher number.

So to use your example you will end up with a topology that is a very
fractioned CLOS ;-) but will work just fine given that L05 will get default
from both L04 and L06. Observe that if you end up with L05 and L05' @ the
same level you can enable horizontal link (leaf-2-leaf) but that won't do
much
since default will point northbound and if L05 or L05' loses their
northbound link they will just fall down in hierarchy to X-4 and use the
other L05* as default

So I'm not sure what the draft would buy us over naive use of RIFT to stack
more levels on top of each other. May be I'm missing something but we'll
hear the preso I guess.

-- tony

 |               |  |  |  |  |          | |   |
 | +----------------+  |  +-----------------+ |
 | |             |     |     |          | | | |
 | | +------------------------------------+ | |
 | | |           |     |     |          |   | |
++-+-+--+        | +---+---+ |        +-+---+-++
|       |        +-+       +-+        |        |
|  L01  |--------- |  L02  |----------|  L03   |  Level X-1
+---+---+          +-------+          +---+----+
    |                                     |
    |                                     |
++-+-+--+                             ++--+---+
|       |                             |       |  Level X-2
|  L04  |                             |  L06  |
+---+---+                             +-+-----+
    |                                   |
    +----------------+  +---------------+
                     |  |
                   ++-+-+--+
                   |       |
                   |  L05  |  Level X-3
                   +-------+

On Thu, Jul 8, 2021 at 3:07 AM <[email-masked]> wrote:

> Hi,
> A new draft for RIFT deployment and proposed extension is submitted.
> Much appreciate if you spend some time to read this draft.
> Any comments are welcome.
> Thanks,
> Sandy
>
>
> ------------------原始邮件------------------
> 发件人：[email-masked]
> 收件人：徐本崇10065053;徐本崇10065053;魏月华00019655;张征00007940;
> 日 期 ：2021年07月08日 08:48
> 主 题 ：New Version Notification for draft-zwx-rift-leaf-ring-00.txt
>
> A new version of I-D, draft-zwx-rift-leaf-ring-00.txt
> has been successfully submitted by Zheng Zhang and posted to the
> IETF repository.
> Name:        draft-zwx-rift-leaf-ring
> Revision:    00
> Title:        Supporting leaves without northbound neighbors connecting to
> a fat-tree network using RIFT
> Document date:    2021-07-07
> Group:        Individual Submission
> Pages:        8
> URL:
> https://www.ietf.org/archive/id/draft-zwx-rift-leaf-ring-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-zwx-rift-leaf-ring/
> Html:
> https://www.ietf.org/archive/id/draft-zwx-rift-leaf-ring-00.html
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-zwx-rift-leaf-ring
> Abstract:
> This document discusses the usage and solution for leaf nodes without
> northbound neighbors connecting to a fat-tree network by leaf nodes
> having direct northbound neighbors in RIFT.
> The IETF Secretariat_______________________________________________
> RIFT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rift
>